Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_1DUTILS_read_interp.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_1DUTILS_read_interp.h	(revision 5087)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_1DUTILS_read_interp.h	(revision 5088)
@@ -2609,6 +2609,6 @@
 
          ierr = NF90_GET_VAR(nid,var3didin(3),lhf)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -2616,6 +2616,6 @@
 
          ierr = NF90_GET_VAR(nid,var3didin(4),lwup)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -2623,6 +2623,6 @@
 
          ierr = NF90_GET_VAR(nid,var3didin(5),swup)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -2630,6 +2630,6 @@
 
          ierr = NF90_GET_VAR(nid,var3didin(6),tg)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -2637,6 +2637,6 @@
 
          ierr = NF90_GET_VAR(nid,var3didin(7),ustar)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -2644,6 +2644,6 @@
 
          ierr = NF90_GET_VAR(nid,var3didin(8),psurf)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -2651,6 +2651,6 @@
 
          ierr = NF90_GET_VAR(nid,var3didin(9),ug)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -2658,6 +2658,6 @@
 
          ierr = NF90_GET_VAR(nid,var3didin(10),vg)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -2665,6 +2665,6 @@
 
          ierr = NF90_GET_VAR(nid,var3didin(17),hadvt)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -2672,6 +2672,6 @@
 
          ierr = NF90_GET_VAR(nid,var3didin(18),hadvq)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -2679,6 +2679,6 @@
 
          ierr = NF90_GET_VAR(nid,var3didin(19),hadvu)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -2686,6 +2686,6 @@
 
          ierr = NF90_GET_VAR(nid,var3didin(20),hadvv)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -2693,6 +2693,6 @@
 
          ierr = NF90_GET_VAR(nid,var3didin(21),w)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -2700,6 +2700,6 @@
 
          ierr = NF90_GET_VAR(nid,var3didin(22),omega)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -2714,6 +2714,6 @@
 !program reading initial profils and forcings of the Gabls4 case study
 
-      use lmdz_netcdf, ONLY: nf_open,nf_nowrite,nf_noerr,nf_strerror,nf_inq_varid,nf90_get_var,&
-            nf_inq_dimid,nf_inq_dimlen
+      use netcdf, ONLY: nf90_open,nf90_nowrite,nf90_noerr,nf90_strerror,nf90_inq_varid,nf90_get_var,&
+            nf90_inq_dimid,nf90_inquire_dimension
 
       implicit none
@@ -2743,98 +2743,98 @@
       integer var3didin(nbvar3d)
 
-      ierr = NF_OPEN(fich_gabls4,NF_NOWRITE,nid)
-      if (ierr.NE.NF_NOERR) then
+      ierr = nf90_open(fich_gabls4,nf90_nowrite,nid)
+      if (ierr.NE.nf90_noerr) then
          write(*,*) 'ERROR: Pb opening forcings nc file '
-         write(*,*) NF_STRERROR(ierr)
+         write(*,*) nf90_strerror(ierr)
          stop ""
       endif
 
 
-       ierr=NF_INQ_VARID(nid,"height",var3didin(1)) 
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+       ierr=nf90_inq_varid(nid,"height",var3didin(1))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'height'
          endif
 
-      ierr=NF_INQ_VARID(nid,"depth_sn",var3didin(2))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"depth_sn",var3didin(2))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'depth_sn'
       endif
 
-      ierr=NF_INQ_VARID(nid,"Ug",var3didin(3))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"Ug",var3didin(3))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'Ug'
       endif
 
-      ierr=NF_INQ_VARID(nid,"Vg",var3didin(4))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"Vg",var3didin(4))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'Vg'
       endif
-       ierr=NF_INQ_VARID(nid,"pf",var3didin(5)) 
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+       ierr=nf90_inq_varid(nid,"pf",var3didin(5))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'pf'
          endif
 
-      ierr=NF_INQ_VARID(nid,"theta",var3didin(6))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"theta",var3didin(6))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'theta'
          endif
 
-      ierr=NF_INQ_VARID(nid,"tempe",var3didin(7))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"tempe",var3didin(7))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'tempe'
          endif
 
-      ierr=NF_INQ_VARID(nid,"qv",var3didin(8))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"qv",var3didin(8))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'qv'
          endif
 
-      ierr=NF_INQ_VARID(nid,"u",var3didin(9))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"u",var3didin(9))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'u'
          endif
 
-      ierr=NF_INQ_VARID(nid,"v",var3didin(10))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"v",var3didin(10))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'v'
          endif
 
-      ierr=NF_INQ_VARID(nid,"hadvT",var3didin(11))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"hadvT",var3didin(11))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'hadvt'
          endif
 
-      ierr=NF_INQ_VARID(nid,"hadvQ",var3didin(12))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"hadvQ",var3didin(12))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'hadvq'
       endif
 
-      ierr=NF_INQ_VARID(nid,"Tsnow",var3didin(14))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"Tsnow",var3didin(14))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'tsnow'
       endif
 
-      ierr=NF_INQ_VARID(nid,"snow_density",var3didin(15))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"snow_density",var3didin(15))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'snow_density'
       endif
 
-      ierr=NF_INQ_VARID(nid,"Tg",var3didin(16))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"Tg",var3didin(16))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'Tg'
       endif
@@ -2845,90 +2845,90 @@
  
          ierr = NF90_GET_VAR(nid,var3didin(1),zz_i)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
  
          ierr = NF90_GET_VAR(nid,var3didin(2),depth_sn)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
  
          ierr = NF90_GET_VAR(nid,var3didin(3),ug_i)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
  
          ierr = NF90_GET_VAR(nid,var3didin(4),vg_i)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
  
          ierr = NF90_GET_VAR(nid,var3didin(5),pf_i)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
 
          ierr = NF90_GET_VAR(nid,var3didin(6),th_i)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
 
          ierr = NF90_GET_VAR(nid,var3didin(7),t_i)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
 
          ierr = NF90_GET_VAR(nid,var3didin(8),qv_i)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
  
          ierr = NF90_GET_VAR(nid,var3didin(9),u_i)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
  
          ierr = NF90_GET_VAR(nid,var3didin(10),v_i)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
  
          ierr = NF90_GET_VAR(nid,var3didin(11),hadvt_i)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
  
          ierr = NF90_GET_VAR(nid,var3didin(12),hadvq_i)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
  
          ierr = NF90_GET_VAR(nid,var3didin(14),tsnow)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
  
          ierr = NF90_GET_VAR(nid,var3didin(15),snow_dens)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
 
          ierr = NF90_GET_VAR(nid,var3didin(16),tg)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/grid_noro_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/grid_noro_m.F90	(revision 5087)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/grid_noro_m.F90	(revision 5088)
@@ -435,5 +435,5 @@
 ! Purpose: Read parameters usually determined with grid_noro from a file.
 !===============================================================================
-  USE lmdz_netcdf, ONLY: NF90_OPEN,  NF90_INQ_DIMID, NF90_INQUIRE_DIMENSION,        &
+  USE netcdf, ONLY: NF90_OPEN,  nf90_inq_dimid, NF90_INQUIRE_DIMENSION,        &
         NF90_NOERR, NF90_CLOSE, NF90_INQ_VARID, NF90_GET_VAR, NF90_STRERROR,   &
         NF90_NOWRITE
@@ -509,5 +509,5 @@
   REAL, ALLOCATABLE :: tmp(:)
   INTEGER :: n
-  CALL ncerr(NF90_INQ_DIMID(fid,dimd,did))
+  CALL ncerr(nf90_inq_dimid(fid,dimd,did))
   CALL ncerr(NF90_INQUIRE_DIMENSION(fid,did,len=n)); ALLOCATE(tmp(n))
   CALL ncerr(NF90_INQ_VARID(fid,dimd,did))
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ice_sursat_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ice_sursat_mod.F90	(revision 5087)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ice_sursat_mod.F90	(revision 5088)
@@ -96,6 +96,6 @@
   USE mod_phys_lmdz_para, ONLY: scatter, bcast
   USE print_control_mod, ONLY: lunout
-  USE lmdz_netcdf, ONLY: nf90_get_var, nf_inq_varid, nf_inq_dimlen, nf_inq_dimid, &
-      nf_open, nf_noerr
+  USE netcdf, ONLY: nf90_get_var, nf90_inq_varid, nf90_inquire_dimension, nf90_inq_dimid, &
+      nf90_open, nf90_noerr
 
   IMPLICIT NONE
@@ -134,19 +134,19 @@
   IF (is_mpi_root .AND. is_omp_root) THEN
       !
-      iret = nf_open('aircraft_phy.nc', 0, ncida)
-      IF (iret /= NF_NOERR) CALL abort_physic(modname,'problem to open aircraft_phy.nc file',1)
+      iret = nf90_open('aircraft_phy.nc', 0, ncida)
+      IF (iret /= nf90_noerr) CALL abort_physic(modname,'problem to open aircraft_phy.nc file',1)
       ! ... Get lengths
-      iret = nf_inq_dimid(ncida, 'time', varid)
-      IF (iret /= NF_NOERR) CALL abort_physic(modname,'problem to get time dimid in aircraft_phy.nc file',1)
-      iret = nf_inq_dimlen(ncida, varid, ntimea)
-      IF (iret /= NF_NOERR) CALL abort_physic(modname,'problem to get time dimlen aircraft_phy.nc file',1)
-      iret = nf_inq_dimid(ncida, 'vector', varid)
-      IF (iret /= NF_NOERR) CALL abort_physic(modname,'problem to get vector dimid aircraft_phy.nc file',1)
-      iret = nf_inq_dimlen(ncida, varid, klona)
-      IF (iret /= NF_NOERR) CALL abort_physic(modname,'problem to get vector dimlen aircraft_phy.nc file',1)
-      iret = nf_inq_dimid(ncida, 'lev', varid)
-      IF (iret /= NF_NOERR) CALL abort_physic(modname,'problem to get lev dimid aircraft_phy.nc file',1)
-      iret = nf_inq_dimlen(ncida, varid, nleva)
-      IF (iret /= NF_NOERR) CALL abort_physic(modname,'problem to get lev dimlen aircraft_phy.nc file',1)
+      iret = nf90_inq_dimid(ncida, 'time', varid)
+      IF (iret /= nf90_noerr) CALL abort_physic(modname,'problem to get time dimid in aircraft_phy.nc file',1)
+      iret = nf90_inquire_dimension(ncida, varid,len= ntimea)
+      IF (iret /= nf90_noerr) CALL abort_physic(modname,'problem to get time dimlen aircraft_phy.nc file',1)
+      iret = nf90_inq_dimid(ncida, 'vector', varid)
+      IF (iret /= nf90_noerr) CALL abort_physic(modname,'problem to get vector dimid aircraft_phy.nc file',1)
+      iret = nf90_inquire_dimension(ncida, varid,len= klona)
+      IF (iret /= nf90_noerr) CALL abort_physic(modname,'problem to get vector dimlen aircraft_phy.nc file',1)
+      iret = nf90_inq_dimid(ncida, 'lev', varid)
+      IF (iret /= nf90_noerr) CALL abort_physic(modname,'problem to get lev dimid aircraft_phy.nc file',1)
+      iret = nf90_inquire_dimension(ncida, varid,len= nleva)
+      IF (iret /= nf90_noerr) CALL abort_physic(modname,'problem to get lev dimlen aircraft_phy.nc file',1)
       !
       IF ( klona /= klon_glo ) THEN
@@ -167,18 +167,18 @@
       IF (error /= 0) CALL abort_physic(modname,'problem to allocate ph2o_airpl_glo',1)
       !
-      iret = nf_inq_varid(ncida, 'lev', varid)
-      IF (iret /= NF_NOERR) CALL abort_physic(modname,'problem to get lev dimid aircraft_phy.nc file',1)
+      iret = nf90_inq_varid(ncida, 'lev', varid)
+      IF (iret /= nf90_noerr) CALL abort_physic(modname,'problem to get lev dimid aircraft_phy.nc file',1)
       iret = nf90_get_var(ncida, varid, zmida)
-      IF (iret /= NF_NOERR) CALL abort_physic(modname,'problem to read zmida file',1)
+      IF (iret /= nf90_noerr) CALL abort_physic(modname,'problem to read zmida file',1)
       !
-      iret = nf_inq_varid(ncida, 'emi_co2_aircraft', varid)  !--CO2 as a proxy for m flown - 
-      IF (iret /= NF_NOERR) CALL abort_physic(modname,'problem to get emi_distance dimid aircraft_phy.nc file',1)
+      iret = nf90_inq_varid(ncida, 'emi_co2_aircraft', varid)  !--CO2 as a proxy for m flown -
+      IF (iret /= nf90_noerr) CALL abort_physic(modname,'problem to get emi_distance dimid aircraft_phy.nc file',1)
       iret = nf90_get_var(ncida, varid, pkm_airpl_glo)
-      IF (iret /= NF_NOERR) CALL abort_physic(modname,'problem to read pkm_airpl file',1)
+      IF (iret /= nf90_noerr) CALL abort_physic(modname,'problem to read pkm_airpl file',1)
       !
-      iret = nf_inq_varid(ncida, 'emi_h2o_aircraft', varid)
-      IF (iret /= NF_NOERR) CALL abort_physic(modname,'problem to get emi_h2o_aircraft dimid aircraft_phy.nc file',1)
+      iret = nf90_inq_varid(ncida, 'emi_h2o_aircraft', varid)
+      IF (iret /= nf90_noerr) CALL abort_physic(modname,'problem to get emi_h2o_aircraft dimid aircraft_phy.nc file',1)
       iret = nf90_get_var(ncida, varid, ph2o_airpl_glo)
-      IF (iret /= NF_NOERR) CALL abort_physic(modname,'problem to read ph2o_airpl file',1)
+      IF (iret /= nf90_noerr) CALL abort_physic(modname,'problem to read ph2o_airpl file',1)
       ! 
      ENDIF    !--is_mpi_root and is_omp_root
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/interfoce_lim.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/interfoce_lim.F90	(revision 5087)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/interfoce_lim.F90	(revision 5088)
@@ -10,5 +10,5 @@
   USE mod_phys_lmdz_para
   USE indice_sol_mod
-  USE lmdz_netcdf, ONLY: nf90_get_var,nf_close,nf_noerr,nf_inq_varid,nf_open,nf_nowrite
+  USE netcdf, ONLY: nf90_get_var,nf90_close,nf90_noerr,nf90_inq_varid,nf90_open,nf90_nowrite
   
   IMPLICIT NONE
@@ -114,6 +114,6 @@
 
         fich = TRIM(fich)
-        ierr = NF_OPEN (fich, NF_NOWRITE,nid)
-        IF (ierr/=NF_NOERR) THEN
+        ierr = nf90_open (fich, nf90_nowrite,nid)
+        IF (ierr/=nf90_noerr) THEN
            abort_message = 'Pb d''ouverture du fichier de conditions aux limites'
            CALL abort_physic(modname,abort_message,1)
@@ -131,11 +131,11 @@
            ! Fraction "ocean" 
            !
-           ierr = NF_INQ_VARID(nid, 'FOCE', nvarid)
-           IF (ierr /= NF_NOERR) THEN
+           ierr = nf90_inq_varid(nid, 'FOCE', nvarid)
+           IF (ierr /= nf90_noerr) THEN
               abort_message = 'Le champ <FOCE> est absent'
               CALL abort_physic(modname,abort_message,1)
            ENDIF
            ierr = nf90_get_var(nid,nvarid,pct_tmp(:,is_oce),start,epais)
-           IF (ierr /= NF_NOERR) THEN
+           IF (ierr /= nf90_noerr) THEN
               abort_message = 'Lecture echouee pour <FOCE>'
               CALL abort_physic(modname,abort_message,1)
@@ -144,11 +144,11 @@
            ! Fraction "glace de mer" 
            !
-           ierr = NF_INQ_VARID(nid, 'FSIC', nvarid)
-           IF (ierr /= NF_NOERR) THEN
+           ierr = nf90_inq_varid(nid, 'FSIC', nvarid)
+           IF (ierr /= nf90_noerr) THEN
               abort_message = 'Le champ <FSIC> est absent'
               CALL abort_physic(modname,abort_message,1)
            ENDIF
            ierr = nf90_get_var(nid,nvarid,pct_tmp(:,is_sic),start,epais)
-           IF (ierr /= NF_NOERR) THEN
+           IF (ierr /= nf90_noerr) THEN
               abort_message = 'Lecture echouee pour <FSIC>'
               CALL abort_physic(modname,abort_message,1)
@@ -157,11 +157,11 @@
            ! Fraction "terre" 
            !
-           ierr = NF_INQ_VARID(nid, 'FTER', nvarid)
-           IF (ierr /= NF_NOERR) THEN
+           ierr = nf90_inq_varid(nid, 'FTER', nvarid)
+           IF (ierr /= nf90_noerr) THEN
               abort_message = 'Le champ <FTER> est absent'
               CALL abort_physic(modname,abort_message,1)
            ENDIF
            ierr = nf90_get_var(nid,nvarid,pct_tmp(:,is_ter),start,epais)
-           IF (ierr /= NF_NOERR) THEN
+           IF (ierr /= nf90_noerr) THEN
               abort_message = 'Lecture echouee pour <FTER>'
               CALL abort_physic(modname,abort_message,1)
@@ -170,11 +170,11 @@
            ! Fraction "glacier terre" 
            !
-           ierr = NF_INQ_VARID(nid, 'FLIC', nvarid)
-           IF (ierr /= NF_NOERR) THEN
+           ierr = nf90_inq_varid(nid, 'FLIC', nvarid)
+           IF (ierr /= nf90_noerr) THEN
               abort_message = 'Le champ <FLIC> est absent'
               CALL abort_physic(modname,abort_message,1)
            ENDIF
            ierr = nf90_get_var(nid,nvarid,pct_tmp(:,is_lic),start,epais)
-           IF (ierr /= NF_NOERR) THEN
+           IF (ierr /= nf90_noerr) THEN
               abort_message = 'Lecture echouee pour <FLIC>'
               CALL abort_physic(modname,abort_message,1)
@@ -183,11 +183,11 @@
         ELSE  ! on en est toujours a rnatur
            ! 
-           ierr = NF_INQ_VARID(nid, 'NAT', nvarid)
-           IF (ierr /= NF_NOERR) THEN
+           ierr = nf90_inq_varid(nid, 'NAT', nvarid)
+           IF (ierr /= nf90_noerr) THEN
               abort_message = 'Le champ <NAT> est absent'
               CALL abort_physic(modname,abort_message,1)
            ENDIF
            ierr = nf90_get_var(nid,nvarid,nat_lu,start,epais)
-           IF (ierr /= NF_NOERR) THEN
+           IF (ierr /= nf90_noerr) THEN
               abort_message = 'Lecture echouee pour <NAT>'
               CALL abort_physic(modname,abort_message,1)
@@ -213,11 +213,11 @@
 ! Lecture SST
 !
-        ierr = NF_INQ_VARID(nid, 'SST', nvarid)
-        IF (ierr /= NF_NOERR) THEN
+        ierr = nf90_inq_varid(nid, 'SST', nvarid)
+        IF (ierr /= nf90_noerr) THEN
            abort_message = 'Le champ <SST> est absent'
            CALL abort_physic(modname,abort_message,1)
         ENDIF
         ierr = nf90_get_var(nid,nvarid,sst_lu,start,epais)
-        IF (ierr /= NF_NOERR) THEN
+        IF (ierr /= nf90_noerr) THEN
            abort_message = 'Lecture echouee pour <SST>'
            CALL abort_physic(modname,abort_message,1)
@@ -228,5 +228,5 @@
 !
 !****************************************************************************************
-        ierr = NF_CLOSE(nid)
+        ierr = nf90_close(nid)
      ENDIF ! is_mpi_root
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/iostart.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/iostart.F90	(revision 5087)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/iostart.F90	(revision 5088)
@@ -30,5 +30,5 @@
 
   SUBROUTINE Open_startphy(filename)
-  USE lmdz_netcdf, ONLY: nf90_nowrite, nf90_noerr,nf90_open
+  USE netcdf, ONLY: nf90_nowrite, nf90_noerr,nf90_open
   USE mod_phys_lmdz_para
   IMPLICIT NONE
@@ -48,5 +48,5 @@
 
   SUBROUTINE Close_startphy
-  USE lmdz_netcdf, ONLY: nf90_close
+  USE netcdf, ONLY: nf90_close
   USE mod_phys_lmdz_para
   IMPLICIT NONE
@@ -61,5 +61,5 @@
 
   FUNCTION Inquire_Field(Field_name)
-  USE lmdz_netcdf, ONLY: nf90_noerr,nf90_inq_varid
+  USE netcdf, ONLY: nf90_noerr,nf90_inq_varid
   USE mod_phys_lmdz_para
   IMPLICIT NONE
@@ -115,5 +115,5 @@
   
   SUBROUTINE Get_field_rgen(field_name,field,field_size,found)
-  USE lmdz_netcdf, ONLY: nf90_inq_varid,nf90_noerr,nf90_get_var
+  USE netcdf, ONLY: nf90_inq_varid,nf90_noerr,nf90_get_var
   USE dimphy
   USE geometry_mod
@@ -251,5 +251,5 @@
 
   SUBROUTINE Get_var_rgen(var_name,var,var_size,found)
-  USE lmdz_netcdf, ONLY: nf90_noerr,nf90_get_var,nf90_inq_varid
+  USE netcdf, ONLY: nf90_noerr,nf90_get_var,nf90_inq_varid
   USE dimphy
   USE mod_grid_phy_lmdz
@@ -301,5 +301,5 @@
 
   SUBROUTINE open_restartphy(filename)
-  USE lmdz_netcdf, ONLY: nf90_create,nf90_clobber,nf90_64bit_offset,nf90_noerr,nf90_strerror,&
+  USE netcdf, ONLY: nf90_create,nf90_clobber,nf90_64bit_offset,nf90_noerr,nf90_strerror,&
           nf90_global,nf90_put_att,nf90_def_dim
   USE mod_phys_lmdz_para, ONLY: is_master
@@ -333,5 +333,5 @@
   
   SUBROUTINE enddef_restartphy
-  USE lmdz_netcdf, ONLY: nf90_enddef
+  USE netcdf, ONLY: nf90_enddef
   USE mod_phys_lmdz_para
   IMPLICIT NONE
@@ -343,5 +343,5 @@
 
   SUBROUTINE close_restartphy
-  USE lmdz_netcdf, ONLY: nf90_close
+  USE netcdf, ONLY: nf90_close
   USE mod_phys_lmdz_para
   IMPLICIT NONE
@@ -386,5 +386,6 @@
   
   SUBROUTINE put_field_rgen(pass, field_name,title,field,field_size)
-  USE lmdz_netcdf, ONLY: nf90_def_var,nf90_format,nf90_put_att,nf90_inq_varid,nf90_put_var
+  USE netcdf, ONLY: nf90_def_var,nf90_put_att,nf90_inq_varid,nf90_put_var
+  USE lmdz_netcdf_format, ONLY: nf90_format
   USE dimphy
   USE geometry_mod
@@ -425,5 +426,5 @@
          
 !      ierr = NF90_REDEF (nid_restart)
-      ierr = NF90_DEF_VAR (nid_restart, field_name, NF90_FORMAT,(/ idim /),nvarid)
+      ierr = NF90_DEF_VAR (nid_restart, field_name, nf90_format,(/ idim /),nvarid)
       IF (LEN_TRIM(title) > 0) ierr = NF90_PUT_ATT (nid_restart,nvarid,"title", title)
 !      ierr = NF90_ENDDEF(nid_restart)
@@ -509,5 +510,6 @@
 
   SUBROUTINE put_var_rgen(pass, var_name,title,var,var_size)
-  USE lmdz_netcdf, ONLY: nf90_format,nf90_def_var,nf90_put_var,nf90_inq_varid,nf90_put_att
+  USE netcdf, ONLY: nf90_def_var,nf90_put_var,nf90_inq_varid,nf90_put_att
+  USE lmdz_netcdf_format, ONLY: nf90_format
   USE dimphy
   USE mod_phys_lmdz_para
@@ -534,5 +536,5 @@
 !      ierr = NF90_REDEF (nid_restart)
 
-        ierr = NF90_DEF_VAR (nid_restart, var_name, NF90_FORMAT,(/ idim1 /),nvarid)
+        ierr = NF90_DEF_VAR (nid_restart, var_name, nf90_format,(/ idim1 /),nvarid)
         IF (LEN_TRIM(title)>0) ierr = NF90_PUT_ATT (nid_restart,nvarid,"title", title)
 !      ierr = NF90_ENDDEF(nid_restart)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/iotd_ecrit.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/iotd_ecrit.F90	(revision 5087)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/iotd_ecrit.F90	(revision 5088)
@@ -22,6 +22,6 @@
 !=================================================================
  
-      USE lmdz_netcdf, ONLY: nf90_put_var,nf_inq_varid,nf_enddef,nf_redef,nf_sync,nf_noerr,&
-              nf_float,nf_def_var
+      USE netcdf, ONLY: nf90_put_var,nf90_inq_varid,nf90_enddef,nf90_redef,nf90_sync,nf90_noerr,&
+              nf90_float,nf90_def_var
       implicit none
 
@@ -103,7 +103,7 @@
            ! Get NetCDF ID of 'time' variable
 
-           ierr=NF_SYNC(nid)
+           ierr=nf90_sync(nid)
 
-           ierr= NF_INQ_VARID(nid,"time",varid)
+           ierr= nf90_inq_varid(nid,"time",varid)
            ! Write (append) the new date to the 'time' array
 
@@ -114,5 +114,5 @@
 !        print*,'IOTD Date ,varid,nid,ntime,date',varid,nid,ntime,date
 
-           if (ierr/=NF_NOERR) then
+           if (ierr/=nf90_noerr) then
               write(*,*) "***** PUT_VAR matter in writediagfi_nc"
               write(*,*) "***** with time"
@@ -161,13 +161,13 @@
 
       if (ntime==1) then
-          ierr = NF_REDEF (nid)
-          ierr = NF_DEF_VAR(nid,nom,NF_FLOAT,ndim,dim_cc,varid)
+          ierr = nf90_redef (nid)
+          ierr = nf90_def_var(nid,nom,nf90_float,dim_cc,varid)
           !print*,'DEF ',nom,nid,varid
-          ierr = NF_ENDDEF(nid)
+          ierr = nf90_enddef(nid)
       else
-         ierr= NF_INQ_VARID(nid,nom,varid)
+         ierr= nf90_inq_varid(nid,nom,varid)
           !print*,'INQ ',nom,nid,varid
 ! Commandes pour recuperer automatiquement les coordonnees
-!             ierr= NF_INQ_DIMID(nid,"longitude",id(1))
+!             ierr= nf90_inq_dimid(nid,"longitude",id(1))
       endif
 
@@ -175,5 +175,5 @@
       ierr= NF90_PUT_VAR(nid,varid,zx,corner,edges)
 
-      if (ierr/=NF_NOERR) then
+      if (ierr/=nf90_noerr) then
            write(*,*) "***** PUT_VAR problem in writediagfi"
            write(*,*) "***** with ",nom
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/iotd_fin.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/iotd_fin.F90	(revision 5087)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/iotd_fin.F90	(revision 5088)
@@ -1,4 +1,4 @@
 SUBROUTINE iotd_fin
-  USE lmdz_netcdf, ONLY : nf_close
+  USE netcdf, ONLY : nf90_close
 
   IMPLICIT NONE
@@ -21,5 +21,5 @@
   !   ----------
 
-  ierr = NF_close(nid)
+  ierr = nf90_close(nid)
 
 END
